/* 
Unlimited Simulator is copyrighted (c) Bruno Barberi Gnecco, 1999, and
distributed under the GNU General Public License (GPL). The conditions can be
found in the file GPL, resident at the main directory of the distribution.
*/

#ifndef UL_TIME_H
#define UL_TIME_H

#include "config.h"
#include <sys/time.h>
#include <unistd.h>

typedef uLong TIMESTAMP_UL;

struct time_ul {
	uShort		h;	/* hours */
	uByte 		min, sec;
	uLong 		usec;
};
typedef struct time_ul TIME_UL;

/* time.c */
extern TIMESTAMP_UL timeval_subtract ( struct timeval *x, struct timeval *y, 
					struct timeval *result );
extern TIMESTAMP_UL timestamp 	( struct timeval *stamp );
extern void inittime		( void );
extern TIME_UL elapsedtime	( void );
extern TIMESTAMP_UL timetots	( uLong minutes, uLong seconds, uLong usec );

#endif
